- name: create mgr data dir
  file:
    path: /var/lib/ceph/mgr/ceph-{{ inventory_hostname }}
    state: directory

- name: create auth key for ceph manager
  shell: >
    ceph auth get-or-create mgr.{{ inventory_hostname }} 
    mon 'allow profile mgr' 
    osd 'allow *' 
    mds 'allow *' > /var/lib/ceph/mgr/ceph-{{ inventory_hostname }}/keyring
  args:
    creates: /var/lib/ceph/mgr/ceph-{{ inventory_hostname }}/keyring

- name: ensure correct permissions on ceph runtime dir
  file:
    path: /var/lib/ceph
    owner: ceph
    group: ceph
    recurse: yes

- name: start ceph mgr
  systemd:
    name: ceph-mgr@{{ inventory_hostname }}
    state: started
    enabled: true
